Subject: comint-highlight-prompt overrides ANSI colors in 24.4
From: Charles Tam <[email-masked]>
To: [email-masked]
Date: Wed, 11 Mar 2015 12:01:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

In Emacs 24.3, comint-highlight-prompt allows ANSI colors to show through
if it does not specify any colors itself. In Emacs 24.4, it does not, even
if comint-highlight-prompt is the "empty face".

To reproduce, set PS1 to something containing ANSI color codes. M-x shell
(and M-x ansi-color-for-comint-mode-on if necessary). Then use ls --color.
In my case the color in the prompt is ignored, but the output of ls --color
has the expected hues.